Subject: Re: bug#35503: 27.0.50; Startup output and slowdown break Emacs batch applications

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 May 2019 05:25:07 +0300

> From: Anders Lindgren <[email-masked]>
> Date: Sun, 12 May 2019 21:26:41 +0200
> Cc: Robert Pluim <[email-masked]>, [email-masked]
> 
> I don't think this is the case. This is inside the Emacs.app macOS app distributed by emacsformacosx.com.
> The Emacs binary isn't a symbolic link, and it's placed right next to the Emacs.pdmp file.
> 
> The only main difference between this and an Emacs I build myself (which is working) is that in the
> downloaded-version the Emacs binary is named something like "Emacs-x86_64-10_10" and the dump file is
> named "Emacs.pdmp", whereas in an Emacs I build myself the Emacs binary is named "Emacs" and the
> dump file "Emacs.pdmp".

The name discrepancy is one reason why the pdump file might not be
found.  In any case, stepping with a debugger into load_pdump should
pinpoint the reason.